<div class="d-flex flex-wrap flex-md-row-reverse justify-content-between" *ngIf="!this.exibeNovo">
    <div class="col-12 col-md-6 p-0 mt-2">
        <div class="input-group no-border">
            <input type="text" #termo class="form-control" (keyup)="onChangeBusca(termo.value)" placeholder="Pesquisar...">
            <div class="input-group-append">
                <div class="input-group-text">
                    <i class="nc-icon nc-zoom-split"></i>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-4 p-0">
        <button type="button" class="btn btn-info" (click)="this.alternar()">
            <i class="nc-icon nc-simple-add"></i>
            Novo
        </button>
    </div>
</div>
<div class="d-flex flex-row" *ngIf="this.exibeNovo">
    <div class="card col animated bounce">
        <form [formGroup]="formServico" (ngSubmit)="onSubmit()">
            <div class="card-body">
                <div class="form-row">
                    <div class="col-md-4 form-group">
                        <label for="nome">Nome</label>
                        <input class="form-control" id="nome" name="nome" formControlName="nome" type="text" />
                    </div>
                    <div class="col-md-8 form-group">
                        <label for="nome">Descricao</label>
                        <input class="form-control" id="descricao" name="descricao" formControlName="descricao" type="text" />
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-md-2 form-group">
                        <div class="custom-control custom-switch">
                            <input type="checkbox" class="custom-control-input" id="customSwitch1" name="ativo" formControlName="ativo">
                            <label class="custom-control-label" for="customSwitch1">Ativo</label>
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <label>Visualização</label>
                    <div class="card col-lg-6 offset-lg-3" [ngClass]="formServico.get('ativo').value ? 'bg-warning' :  'bg-light'">
                        <div class="card-body">
                            <div class="d-flex justify-content-between">
                                <div class="col-10">
                                    <h3 class="mb-2"><strong class="text-uppercase">{{formServico.get('nome').value}}</strong></h3>
                                    <h5>{{formServico.get('descricao').value}}</h5>
                                </div>
                                <div class="col-2 text-center p-3">
                                    <span class="fa fa-address-book fa-4x"></span>
                                </div>                            
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-footer">
                <div class="d-flex flex-row-reverse">
                    <button type="submit" class="btn btn-primary ml-2" >
                        <i class="nc-icon nc-check-2"></i>
                        Salvar
                    </button>
                    <button type="button" class="btn btn-secondary" (click)="this.ngOnInit()">
                        <i class="nc-icon nc-simple-remove"></i>
                        Cancelar
                    </button>
                </div>
            </div>
        </form>
    </div>
</div>
<div class="row">
    <div *ngFor="let item of servicos | async" class="card col-lg-4 m-3 animated fadeIn" (click)="editar(item)" [ngClass]="item.ativo ? 'bg-warning' :  'bg-light'">
        <div class="card-body">
            <div class="d-flex justify-content-between">
                <div class="col-10">
                    <h3 class="mb-2"><strong class="text-uppercase">{{ item.nome }}</strong></h3>
                    <h5>{{ item.descricao }}</h5>
                </div>
                <div class="col-2 text-center p-3">
                    <span class="fa fa-address-book fa-4x"></span>
                </div>                            
            </div>
        </div>
    </div>
</div>
<div class="d-flex justify-content-start flex-wrap">
    <div class="col-lg-1 col-sm-2 mt-2 text-center align-self-stretch bg-white m-2 p-2 animated fadeIn" *ngFor="let icon of icones">
        <span class="fa fa-2x mr-2 d-block" [ngClass]="icon"></span>
        <!--span>{{ icon }}</span-->
    </div>
</div>
